Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ws.commons.schema
Class XmlSchemaSequence

    java.lang.Object
      org.apache.ws.commons.schema.XmlSchemaObject
          org.apache.ws.commons.schema.XmlSchemaAnnotated
              org.apache.ws.commons.schema.XmlSchemaParticle
                  org.apache.ws.commons.schema.XmlSchemaGroupBase
                      org.apache.ws.commons.schema.XmlSchemaSequence

    public class XmlSchemaSequence

extends XmlSchemaGroupBase

Requires the elements in the group to appear in the specified sequence within the containing element. Represents the World Wide Web Consortium (W3C) sequence (compositor) element.

Field Summary

Fields inherited from class org.apache.ws.commons.schema.XmlSchemaAnnotated
`unhandledAttributes`

Constructor Summary
`XmlSchemaSequence()` Creates new XmlSchemaSequence

Method Summary
`XmlSchemaObjectCollection` | `getItems()` The elements contained within the compositor.
`java.lang.String` | `toString(java.lang.String prefix, int tab)`

Methods inherited from class org.apache.ws.commons.schema.XmlSchemaParticle
`getMaxOccurs, getMinOccurs, setMaxOccurs, setMinOccurs`

Methods inherited from class org.apache.ws.commons.schema.XmlSchemaAnnotated
`getAnnotation, getId, getUnhandledAttributes, setAnnotation, setId, setUnhandledAttributes, toString`

Methods inherited from class org.apache.ws.commons.schema.XmlSchemaObject
`addMetaInfo, equals, getLineNumber, getLinePosition, getMetaInfoMap, getSourceURI, setLineNumber, setLinePosition, setMetaInfoMap, setSourceURI`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XmlSchemaSequence

    public XmlSchemaSequence()

  Creates new XmlSchemaSequence

Method Detail

### getItems

    public XmlSchemaObjectCollection getItems()

  The elements contained within the compositor. Collection of XmlSchemaElement, XmlSchemaGroupRef, XmlSchemaChoice, XmlSchemaSequence, or XmlSchemaAny.

  Specified by:
    `getItems` in class `XmlSchemaGroupBase`

### toString

    public java.lang.String toString(java.lang.String prefix,
                                     int tab)

  Overrides:
    `toString` in class `XmlSchemaObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2009 The Apache Software Foundation. All Rights Reserved.